This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 19981 - Merge packages in project view
Summary: Merge packages in project view
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: issues@java
URL:
Keywords:
Depends on: 19955 19998
Blocks:
  Show dependency tree
 
Reported: 2002-01-31 07:41 UTC by Gunnar Wagenknecht
Modified: 2007-09-26 09:14 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gunnar Wagenknecht 2002-01-31 07:41:09 UTC
I'm working with a extensive application environment that brings customized 
compile/make scripts with it. Please have a look at the following structure.

X:\Application - main Directory of the Application 
X:\Application\src\Component_1\javasource
X:\Application\src\Component_2\javasource
X:\Application\src\Component_3\javasource
[...]
X:\Application\src\Component_N\javasource

It would be very usefull if I can add these source directorys to a Netbeans
project without getting "com" and "com_1" and so on. NetBeans should merge the 
directory content "virtually" and should display packages belonging together as 
one "package" like the JVM sees it.

Example:

At "X:\Application\src\Component_1\javasource" there is package 
structure "com.company.product.component1" and 
at "X:\Application\src\Component_2\javasource" there 
is "com.company.product.component2".

NetBeans should merge them and should display "com.component.product" as 
expandable package name if there are no classes under "com.company.product". So 
I don't even have to expand "com" then expand "company" then 
expand "product" ...


Another good point would be, if Netbeans could ignore Directries inside the 
package structure with none Java files inside. Example: I'm working with WinCVS 
and my Source directories are my CVS checkout directoriers so I have the 
stupid "CVS" directories inside the source dirs. NetBeans shows them as Java 
packages but there arn't.
Comment 1 Vitezslav Stejskal 2002-02-01 10:37:33 UTC
Your requirements are legitimate, but we will not be able to filfill them in 3.4 release. This sort of 
problems will be solved by new projects architecture in 4.0 release. You can see some sketches on 
http://projects.netbeans.org.

Regarding to the CVS folder, why don't you use Netbeans' CVS integration, you would get rid of CVS 
folders and gain lots of nice features like Versioning Explorer.

Thanks for the report!
Comment 2 Pavel Buzek 2002-02-01 12:48:42 UTC
right, there are some dependencies..
Comment 3 Pavel Buzek 2002-02-01 12:57:50 UTC
oops, wrong issues No, now it's correct.
Comment 4 Vitezslav Stejskal 2003-01-02 13:53:02 UTC
This is already fixed in new projects system and new java project (Nb
4.0), please check out the preliminary version from:
http://www.netbeans.org/download/prj40_prototype/
Comment 5 Jan Becicka 2003-11-25 14:05:04 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 6 Jan Becicka 2003-11-25 14:14:11 UTC
---> CLOSED